Description

First, user dropdown sorting (e.g. 'Assigned to' field in Edit Issue screen) is far from obvious. I found explanation in #507 just

occasionally. Let's sort by (first name, last name) pair. This will improve user dropdown usability because it will be consistent with the

way user name is displayed (and choosing user dropdown items by keyboard will start to work).

Next, sorting by just last name doesn't scale: even our small company now has two people with the same last name and issues list

sorting by Assigned To looks just broken for them (see attachment).

Related issues:

Related to Redmine - Patch #1708: 'Assigned to' list sorts by id, not name Closed 2008-07-29

Associated revisions

Revision 2351 - 2009-02-01 21:56 - Jean-Philippe Lang

Include both last and first name when sorting issues by assignee (#1841).

History

#1 - 2008-09-02 18:27 - Eric Davis

My patch on issue #1708 allows user sorting to be customized by the admin.  It includes options to sort by first name, last name, or login name.

#2 - 2008-09-02 20:17 - Artem Vasiliev

Eric Davis wrote:

My patch on issue #1708 allows user sorting to be customized by the admin.  It includes options to sort by first name, last name, or login name.

 That's great, thanks!

#3 - 2008-09-04 16:54 - Artem Vasiliev

Artem Vasiliev wrote:

Eric Davis wrote:

My patch on issue #1708 allows user sorting to be customized by the admin.  It includes options to sort by first name, last name, or login

name.

 That's great, thanks!

 Uhh, that's not what we want actually. We need it to be sorted by pair - like 

ORDER BY firstname, lastname

#4 - 2008-09-04 17:19 - Artem Vasiliev

Patch is committed to http://github.com/artemv/redmine_tt/commit/3246d2bd8fed74c4ea0ac29e9c7dff74897395ac.

The part for issue list sorting is a hardcore hack however - making it right needs some multifield sorting support from Redmine first.

#5 - 2008-09-05 08:05 - Artem Vasiliev
Patch is committed to http://github.com/artemv/redmine_tt/commit/3246d2bd8fed74c4ea0ac29e9c7dff74897395ac.

 refined it a bit: http://github.com/artemv/redmine_tt/commit/7744181c5157ed3a8b18cdfd81f3b58d59742beb

#6 - 2008-11-10 21:17 - Karl Heinz Marbaise

- Category set to Issues

#7 - 2009-02-01 21:53 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Fixed in r2351. Users are now sorted by last and first name.
